import { useRef as u, useCallback as c, useEffect as f } from "react";
function s(t, n) {
  const e = u(!0), r = c(t, n);
  f(() => {
    if (e.current) {
      e.current = !1;
      return;
    }
    return r();
  }, [r]);
}
export {
  s as useSkipInitialEffect
};
